> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.withpersona.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server.

# Deactivate a Connection

POST https://api.withpersona.com/api/v1/connect/connections/{connection-id}/deactivate

Deactivates a Connection. Either the source or destination organization may deactivate a connection that is currently `pending` or `active`. Deactivation prevents further access through the connection but maintains the connection record. Connections that are already `inactive` cannot be deactivated again.

Reference: https://docs.withpersona.com/api-reference/connect/connections/deactivate-a-connect-connection

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `connection-id` (string, required) — ID of the connect connection

### Headers

- `Key-Inflection` (enum, optional) — Determines casing for the API response.
  - Allowed values: `camel`, `kebab`, `snake`
- `Idempotency-Key` (string, optional) — Ensures the request is idempotent.
- `Persona-Version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).
  - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18`

## Response

### 200

This endpoint returns a Connection.

- `data` (connect-connection, required) — A Connect Connection object. This object represents a connection between organizations for sharing access to Persona objects.

## Errors

### 400 Bad Request Error

The request was unacceptable, often due to invalid parameters.

- `errors` (list of ConnectConnectionsConnectionIdDeactivatePostResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

An invalid API key was provided.

- `errors` (list of ConnectConnectionsConnectionIdDeactivatePostResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 403 Forbidden Error

The given API key doesn’t have permissions to perform the request or a quota has been exceeded.

- `errors` (list of ConnectConnectionsConnectionIdDeactivatePostResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 404 Not Found Error

The requested resource doesn’t exist.

- `errors` (list of ConnectConnectionsConnectionIdDeactivatePostResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 409 Conflict Error

The request conflicts with another request, often due to attempting to create a duplicate resource.

- `errors` (list of ConnectConnectionsConnectionIdDeactivatePostResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 422 Unprocessable Entity Error

The request modifies the resource in an unacceptable way, often due to an invalid action or parameter.

- `errors` (list of ConnectConnectionsConnectionIdDeactivatePostResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 429 Too Many Requests Error

Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests.

- `errors` (list of ConnectConnectionsConnectionIdDeactivatePostResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Types

### connect-connection

A Connect Connection object. This object represents a connection between organizations for sharing access to Persona objects.

- `type` ("connect/connection", optional)
- `id` (string, optional)
- `attributes` (ConnectConnectionAttributes, optional)
- `relationships` (ConnectConnectionRelationships, optional)

### ConnectConnectionsConnectionIdDeactivatePostResponsesContentApplicationJsonSchemaErrorsItems

- `title` (string, optional)
- `details` (string, optional)

### ConnectConnectionAttributes

- `status` (string, optional) — The current status of the connection. One of `pending`, `active`, or `inactive`.
- `destination-organization-id` (string, optional) — The organization authorized to access objects through this connection.
- `source-organization-id` (string, optional) — The organization that created and owns this connection.
- `created-at` (datetime, optional) — The date and time when this connection was created
- `updated-at` (datetime, optional) — The date and time when this connection was last updated

### ConnectConnectionRelationships

- `creator` (ConnectConnectionRelationshipsCreator, optional)

### ConnectConnectionRelationshipsCreator

- `data` (ConnectConnectionRelationshipsCreatorData, required)

### ConnectConnectionRelationshipsCreatorData

- `id` (string, required)
- `type` (string, required) — The type of the creator entity

## Examples

**Response**

```json
{
  "data": {
    "type": "connect/connection",
    "id": "cxn_ABC123",
    "attributes": {
      "status": "inactive",
      "destination-organization-id": "org_XYZ789",
      "source-organization-id": "org_ABC123",
      "created-at": "2018-06-01T00:00:00.000Z",
      "updated-at": "2018-06-01T00:00:00.000Z"
    }
  }
}
```

**SDK Code**

```python Success
import requests

url = "https://api.withpersona.com/api/v1/connect/connections/connection-id/deactivate"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Success
const url = 'https://api.withpersona.com/api/v1/connect/connections/connection-id/deactivate';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.withpersona.com/api/v1/connect/connections/connection-id/deactivate"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Success
require 'uri'
require 'net/http'

url = URI("https://api.withpersona.com/api/v1/connect/connections/connection-id/deactivate")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.withpersona.com/api/v1/connect/connections/connection-id/deactivate")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.withpersona.com/api/v1/connect/connections/connection-id/deactivate', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Success
using RestSharp;

var client = new RestClient("https://api.withpersona.com/api/v1/connect/connections/connection-id/deactivate");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Success
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/connect/connections/connection-id/deactivate")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```